<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Fleck" Version="1.2.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Drawing.Common" Version="9.0.8" />
    <PackageReference Include="System.Management" Version="9.0.8" />
  </ItemGroup>

  <ItemGroup>
    <!-- Reference the managed SDK DLL -->
    <Reference Include="libzkfpcsharp">
      <HintPath>libs\libzkfpcsharp.dll</HintPath>
      <Private>true</Private>
    </Reference>

    <!-- Copy native DLL libzkfp.dll to output folder -->
    <Content Include="libs\libzkfp.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>

    <!-- Copy managed DLL to output folder -->
    <Content Include="libs\libzkfpcsharp.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
